$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.16.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.24.16.msi'
  softwareName = 'Invantive Data Hub'
  checksum = '95CED1C34EBD2D4E7B49385CDD25C5A47603FD803FF89095919C505684A738B0'
  checksumType = 'sha256'
  checksum64 = '95CED1C34EBD2D4E7B49385CDD25C5A47603FD803FF89095919C505684A738B0'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.24.16-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
